
/**
 * Title:        extremeTolerance<p>
 * Description:  <p>
 * Copyright:    Copyright (c) Stefano Andreani<p>
 * Company:      University of Bologna - DEIS<p>
 *
 * @author    Stefano Andreani
 * @version   1.0
 */
package com.andreani.xtol.util;

import com.andreani.xtol.*;
/**
 * This class provides some constants accessible from all the other classes.
 *
 * @author    Stefano Andreani
 * @version   1.0
 */
public abstract class Global
{
   /**
    * Name of the cookie used to tie a client with a JavaSpace session object.
    */
   public final static String COOKIE_NAME_SESSIONID = "GlobalSessionId";
   /**
    * This cookie is used to signal a server node failure.
    */
   public final static String COOKIE_FAIL_OVER = "FailOccurred";
   /**
    * The name of the transaction manager.
    */
   public final static String TX_MANAGER_NAME = "TxManager";
   /**
    * Timeout of the discovery phase.
    */
   public final static long DISCOV_TIMEOUT = 30000;
   /**
    * Timeout of the lookup phase.
    */
   public final static long LOOKUP_TIMEOUT = 30000;
   /**
    * Transaction timeout: if a transaction delay more then this value,
    * the transaction server rolls back.
    */
   public final static long TRANS_TIMEOUT = 40000;
}
